Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision 278f4ed9b79206a774cf2439bda0400dbbdcd710)
+++ src/timemanager.f90	(revision d56bfae284ff3022600db4442be0265546d4742f)
@@ -132,4 +132,7 @@
   loutend=loutnext+loutaver/2
 
+  !  open(127,file=path(2)(1:length(2))//'depostat.dat'
+  !    +  ,form='unformatted')
+  !write (*,*) 'writing deposition statistics depostat.dat!'
 
   !**********************************************************************
@@ -144,7 +147,4 @@
 !CGZ-lifetime: set lifetime to 0
   
-  if (interpolhmix) write(*,*) 'Interpolating hmix'
-  if (.not.usekernel) write(*,*) 'Not using the kernel'
-
   write(*,46) float(itime)/3600,itime,numpart
 
@@ -311,5 +311,5 @@
   !   if (itime.eq.loutnext) then
   !   do 247 ksp=1, nspec
-  !    247 kp=1, maxpointspec_act
+  !   do 247 kp=1, maxpointspec_act
   !47         xm(ksp,kp)=0.
 
@@ -355,45 +355,4 @@
       if (mod(itime-loutstart,loutsample).eq.0) then
 
-   
-    do j=1,numpart
-  ! RECEPTOR: dry/wet depovel
-  !****************************
-  ! Before the particle is moved 
-  ! the calculation of the scavenged mass shall only be done once after release
-  ! xscav_frac1 was initialised with a negative value
-
-!      write (*,*) 'out:',j,xtra1(j),ytra1(j),prob_rec(1),xscav_frac1(j,1)
-      if  (DRYBKDEP) then
-       do ks=1,nspec
-         if  ((xscav_frac1(j,ks).lt.0)) then
-            call get_vdep_prob(itime,xtra1(j),ytra1(j),ztra1(j),prob_rec)
-            if (DRYDEPSPEC(ks)) then        ! dry deposition
-!        write (*,*) 'j,..:',j,xtra1(j),ytra1(j),prob_rec(1),xscav_frac1(j,1)
-               xscav_frac1(j,ks)=prob_rec(ks)
-             else
-                xmass1(j,ks)=0
-                xscav_frac1(j,ks)=0.
-             endif
-         endif
-        enddo
-       endif
-
-       if (WETBKDEP) then 
-       do ks=1,nspec
-         if  ((xscav_frac1(j,ks).lt.0)) then
-            call get_wetscav(itime,lsynctime,loutnext,j,ks,grfraction,idummy,idummy,wetscav)
-            if (wetscav(ks).gt.0) then
-                xscav_frac1(j,ks)=wetscav(ks)* &
-                       (zpoint2(npoint(j))-zpoint1(npoint(j)))*grfraction(1)
-            else
-                xmass1(j,ks)=0.
-                xscav_frac1(j,ks)=0.
-            endif
-         endif
-        enddo
-       endif
-
-  enddo
-
   ! If we are exactly at the start or end of the concentration averaging interval,
   ! give only half the weight to this sample
@@ -584,4 +543,39 @@
         zold=ztra1(j)
 
+   
+  ! RECEPTOR: dry/wet depovel
+  !****************************
+  ! Before the particle is moved 
+  ! the calculation of the scavenged mass shall only be done once after release
+  ! xscav_frac1 was initialised with a negative value
+
+      if  (DRYBKDEP) then
+       do ks=1,nspec
+         if  ((xscav_frac1(j,ks).lt.0)) then
+            call get_vdep_prob(itime,xtra1(j),ytra1(j),ztra1(j),prob_rec)
+            if (DRYDEPSPEC(ks)) then        ! dry deposition
+               xscav_frac1(j,ks)=prob_rec(ks)
+             else
+                xmass1(j,ks)=0
+                xscav_frac1(j,ks)=0.
+             endif
+         endif
+        enddo
+       endif
+
+       if (WETBKDEP) then 
+       do ks=1,nspec
+         if  ((xscav_frac1(j,ks).lt.0)) then
+            call get_wetscav(itime,lsynctime,loutnext,j,ks,grfraction,idummy,idummy,wetscav)
+            if (wetscav(ks).gt.0) then
+                xscav_frac1(j,ks)=wetscav(ks)* &
+                       (zpoint2(npoint(j))-zpoint1(npoint(j)))*grfraction(1)
+            else
+                xmass1(j,ks)=0.
+                xscav_frac1(j,ks)=0.
+            endif
+         endif
+        enddo
+       endif
 
   ! Integrate Lagevin equation for lsynctime seconds
@@ -594,11 +588,8 @@
         endif
      
-!        write (*,*) ' before advanced: ',j,prob(1),xmass1(j,1),ztra1(j)
         call advance(itime,npoint(j),idt(j),uap(j),ucp(j),uzp(j), &
              us(j),vs(j),ws(j),nstop,xtra1(j),ytra1(j),ztra1(j),prob, &
              cbt(j))
-        if (ztra1(j).lt.30) then
-!        write (*,*) 'advanced: ',ztra1(j),j,xtra1(j),ytra1(j)
-        endif
+!        write (*,*) 'advance: ',prob(1),xmass1(j,1),ztra1(j)
 
   ! Calculate the gross fluxes across layer interfaces
